Early access: these pages are being written and reviewed. Facts in the header boxes come straight from the product.
Reject GET on the MCP endpoint
GET
/mcp
const url = 'https://api.pitch2sale.com/mcp';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.pitch2sale.com/mcp \ --header 'Authorization: Bearer <token>'The server does not open a server-to-client event stream; send every MCP request with POST. See the MCP guide.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Authentication required or token invalid
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Role permission or token scope missing
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Method not allowed
Media typeapplication/json
object
jsonrpc
required
string
error
required
object
code
required
number
message
required
string
id
required
string | number | null
Example
{ "jsonrpc": "2.0"}Rate limit exceeded
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}